Zum Hauptinhalt springen

Update a project backup schedule

PATCH/v2/project-backup-schedules/{projectBackupScheduleId}
API-Version
v2
Request-Methode
PATCH
Operation-ID
backup-update-project-backup-schedule

Request​

  • projectBackupScheduleIdstring (uuid)required

    ID of the ProjectBackupSchedule to be updated.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PATCH \
-d '{"description":"I'm a ProjectBackupSchedule","schedule":"5 4 * * *","ttl":"7d"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/project-backup-schedules/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.backup.updateProjectBackupSchedule({
"projectBackupScheduleId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"description": "I'm a ProjectBackupSchedule",
"schedule": "5 4 * * *",
"ttl": "7d"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Backup\UpdateProjectBackupSchedule\UpdateProjectBackupScheduleRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Backup\UpdateProjectBackupSchedule\UpdateProjectBackupScheduleRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// UpdateProjectBackupScheduleRequestBody to learn how to construct a valid instance
$body = new UpdateProjectBackupScheduleRequestBody(/* TODO: ... */);

$request = (new UpdateProjectBackupScheduleRequest(
projectBackupScheduleId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->backup()->updateProjectBackupSchedule($request);

var_dump($response->getBody();

Auf dieser Seite